# FP4-proposal

**do not fork this** there are different directions

## tl;dr

1. Create a repository in [our organization][oplorg] for your project; add your teammate(s) as collaborators
2. Copy-paste this [template file](template.md) as the `README.md` file in your new repo; edit to become project plan
3. Make 3-slide slide show to be presented in class; insert into [class desk][gslides]
4. Enter project details into a new [Google form][projform]
5. Make a 0.1 release of your project (tagging `@fgmart`)

## Due Date
* Sun Apr 2, 2017 at 11p

## Instructions

Teams will submit a single proposal, with sections that each member has done individually detailing their proposed contributions. The submission will be the `README.md` file in your brand-new project repository, which you'll make. 

You must start using GitHub collaboratively from this point forward. 

Instructions: 

1. Create a new repository for your project as part of [our organization][oplorg]
  * Give it a name that you like—it may be your real names, usernames, or project name
  * Add your teammates as collaborators (Settings > Collaborators & Teams > Add Collaborator)
2. Copy the content from the [template file](template.md) into your `README.md`
  * Click the “Raw” button on the `template.md` file and then copy-paste into your repo's `README.md` edit view
  * Save it
  * *Then start editing it to become your actual proposal*
3. Everyone on the team contributes their sections to your `README.md` file.
  * Use GitHub's collaboration features to make sure that each team member contributes meaningful content to the file
  * At the absolute minimum, respective team members must have commits that show they have authored the section describing their planned contributions
4. Create a [github Release](https://help.github.com/articles/creating-releases/) of your repository. 
 * Version: v0.1
 * Title: Proposal
 * Description: tag `@fgmart`

And now some detail on what to write _in_ the report.

**Overall guidance:** *You should be proposing something that you have high confidence that you can achieve, and the proposal should project that confidence.*

The proposal should be no longer than necessary, but long enough to include critical detail. Diagrams are welcome. 

Remember, you can do some neat [formatting things with Markdown.][markdown]

In case you missed it, here again is the [template file](template.md)

## In-Class Presentation 
Teams will each deliver an in-class presentation. Your team will have two minutes to present.

The presentation shall have exactly three slides:

1. Title
  * project title (10 words or fewer)
  * your real names
  * each real name followed by GitHub username
  * a relevant image of some sort (optional)
2. Overview
  * a few short phrases describing the project
  * a different relevant image (optional)
3. Architecture Diagram 
  * visual diagram showing the major components of the project
  * include external things that your project will connect to
  * include arrows showing flow of information
  * internal components annotated with Racket libraries that they will use
  * _important:_ annotate each block with the GH username of the person who is primarily responsible for its creation

Make the slides in [Google Slides][gslides].

Then, import your deck into the [slide deck][martinslides]. You have write privileges based on your membership in the class forum.

You and your teammates will give the presentation in class the day that this assignment is due.

## Fill out Project Information Form

Enter project details into a new [Google form][projform].

**This is absolutely necessary so I can keep track of all of the projects.**

## Grading
The proposal must be submitted on time to receive credit. Late submissions will not be accepted for credit.

You personally must be present in class (and participate in the presentation when it is your turn) to receive credit for the presentation. If your teammates are there and you are not, they will receive presentation credit and you will not.


<!-- Links -->
[forum]: https://groups.google.com/forum/#!forum/uml-opl-spr17
[markdown]: https://help.github.com/articles/markdown-basics/
[gslides]:https://slides.google.com
[martinslides]:https://docs.google.com/presentation/d/1fzNX4nV4z6IkLiVBMB0YD4CctlJxR9pWXSbYTOFcQvc
[projform]:https://goo.gl/forms/Gfh9hWBgvg323j6M2
[oplorg]:https://github.com/oplS17projects/
